package com.ag.entity.fee;

import com.ag.base.ISerializable;
import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * CBaseCategory entity. @author MyEclipse Persistence Tools
 */

public class BaseCategory implements ISerializable {

	// Fields

	private String id;
	private String tenancyId;
	private String description;
	private String notes;
	private Integer isAll;
	private String createdBy;
	private Date createdOn;
	private String updatedBy;
	private Date updatedOn;
	private Integer effectived;
	private Integer enabled;
	private String bizScope;
	private Integer byagent;
	private Integer delFlag;

	public Integer getByagent() {
		return byagent;
	}

	public void setByagent(Integer byagent) {
		this.byagent = byagent;
	}
// Constructors

	/** default constructor */
	public BaseCategory() {
	}


	// Property accessors

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenancyId() {
		return this.tenancyId;
	}

	public void setTenancyId(String tenancyId) {
		this.tenancyId = tenancyId;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getNotes() {
		return this.notes;
	}

	public void setNotes(String notes) {
		this.notes = notes;
	}


	public Integer getIsAll() {
		return isAll;
	}

	public void setIsAll(Integer isAll) {
		this.isAll = isAll;
	}

	public Integer getEffectived() {
		return effectived;
	}

	public void setEffectived(Integer effectived) {
		this.effectived = effectived;
	}

	public Integer getEnabled() {
		return enabled;
	}

	public void setEnabled(Integer enabled) {
		this.enabled = enabled;
	}

	public String getBizScope() {
		return bizScope;
	}

	public void setBizScope(String bizScope) {
		this.bizScope = bizScope;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	@Override
	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public Date getCreatedOn() {
		return createdOn;
	}

	@Override
	public void setCreatedOn(Date createdOn) {
		this.createdOn = createdOn;
	}

	public String getUpdatedBy() {
		return updatedBy;
	}

	@Override
	public void setUpdatedBy(String updatedBy) {
		this.updatedBy = updatedBy;
	}

	public Date getUpdatedOn() {
		return updatedOn;
	}

	@Override
	public void setUpdatedOn(Date updatedOn) {
		this.updatedOn = updatedOn;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	@Override
	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}
}